@echo off
rem
rem  Purges old heap manager from MSC libraries
rem  
rem  Assumes that the MSC libraries are in the current directory
rem
rem  Usage:
rem
rem     PURGE  [model]  [math]
rem
rem         [model] = L, C, M, S, or *
rem
rem         [math]  = E, A, 7, or *
rem
rem ----------------------------------------------------------------------

if "%1"=="" goto usage
if "%2"=="" goto usage

rem  Recursive calls allow nested for loops

if %1==* for %%x in (L C M S) do call %0 %%x %2
if %1==* goto exit

if %2==* for %%y in (E A 7  ) do call %0 %1 %%y
if %2==* goto exit

rem ---------------------------------------------------------------------
rem
rem  Process one library

if not exist %1libc%2.lib echo %1LIBC%2.LIB not in current directory
if not exist %1libc%2.lib goto exit

echo Purging %1LIBC%2H.LIB

echo  FAR  modules (fmalloc fheapchk fheapwal fmsize)
lib %1libc%2h -fmalloc -fheapchk -fheapwal -fmsize;

if %1==S goto cleanlib
if %1==M goto cleanlib

echo  NEAR modules (nmalloc nheapchk nheapwal nmsize)
lib %1libc%2h -nmalloc -nheapchk -nheapwal -nmsize;

echo  Generic modules (calloc realloc xheapchk freect expand)
lib %1libc%2h -calloc -realloc -xheapchk -freect -expand;

:cleanlib

rem  Clean up backup library
rem
del %1libc%2.bak

goto exit

rem ---------------------------------------------------------------------

:usage

echo -
echo - Usage: PURGE  [model]  [math]
echo -
echo -        [model] = L, C, M, S, or *
echo - 
echo -        [math]  = E, A, 7, or *
echo -
echo -        Deletes heap modules from MSC libraries

rem ---------------------------------------------------------------------

:exit
